[Cluster-devel] cluster/rgmanager/src/resources clusterfs.sh

lhh at sourceware.org lhh at sourceware.org
Mon Oct 16 14:39:03 UTC 2006


CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	lhh at sourceware.org	2006-10-16 14:39:02

Modified files:
	rgmanager/src/resources: clusterfs.sh 

Log message:
	Fix #209544 - umount failing on gfs/nfs services

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/clusterfs.sh.diff?cvsroot=cluster&r1=1.11&r2=1.12

--- cluster/rgmanager/src/resources/clusterfs.sh	2006/08/18 15:26:22	1.11
+++ cluster/rgmanager/src/resources/clusterfs.sh	2006/10/16 14:39:02	1.12
@@ -802,6 +802,7 @@
 	   [ "$OCF_RESKEY_nfslock" = "1" ]; then
 		ocf_log warning "Dropping node-wide NFS locks"
 		mkdir -p $mp/.clumanager/statd
+		pkill -KILL -x lockd
 		# Copy out the notify list; our 
 		# IPs are already torn down
 		if notify_list_store $mp/.clumanager/statd; then
@@ -889,16 +890,12 @@
 	;;
 status|monitor)
   	isMounted ${OCF_RESKEY_device} ${OCF_RESKEY_mountpoint}
- 	if [ $? -ne $YES ]; then
-		ocf_log err "fs:${OCF_RESKEY_name}: ${OCF_RESKEY_device} is not mounted on ${OCF_RESKEY_mountpoint}"
-		exit $OCF_ERR_GENERIC
-	fi
+ 	[ $? -ne $YES ] && exit $OCF_ERR_GENERIC
 
  	isAlive ${OCF_RESKEY_mountpoint}
- 	[ $? -eq $YES ] && exit 0
-
-	ocf_log err "fs:${OCF_RESKEY_name}: Mount point is not accessible!"
-	exit $OCF_ERR_GENERIC
+ 	[ $? -ne $YES ] && exit $OCF_ERR_GENERIC
+ 	
+	exit 0
 	;;
 restart)
 	stopFilesystem




More information about the Cluster-devel mailing list